// http://epigonen190.blog.fc2.com/blog-entry-57.html
var tmpl_cache;
function _render(tmpl_name) {
    if ( !tmpl_cache ) {
        tmpl_cache = {};
    }
    if ( ! tmpl_cache[tmpl_name] ) {
        var tmpl_url = 'templates/' + tmpl_name + '.html';
        var tmpl_string;
        $.ajax({
            url: tmpl_url,
            method: 'GET',
            async: false,
            dataType: "html",
            success: function(data) {
                tmpl_string = data;
            }
        });
        tmpl_cache[tmpl_name] = tmpl_string;
    }
    return tmpl_cache[tmpl_name];
}


// file browsing
$.fn.browse = function (option) {
    var current = $(this);
    var event = function () {
        current.click();
    };
    if (current.attr('type') !== 'file') {
        throw 'This Element type not `file`';
    }
    var o = $.extend({
        'input' : '<input type="text" name="file" />',
        'button' : '<button> Open this file </button>'
    }, option);
    current.after(o.input, o.button).css({
        'position' : 'absolute',
        'top' : '-9999px'
    }).change(function () {
        var val = current.val();
        var path = val.replace(/\\/g, '/');
        var match = path.lastIndexOf('/');
        current.next().val(match !== -1 ? val.substring(match + 1) : val);
    });

    current.next().bind('keyup, keydown, keypress', function () {
        return false;
    }).click(event).next().click(event);
};
